import com.interfaceware.chameleon.*;
import PrefixTest.*;

/**
 * Class: ServerEngine
 * 
 * Description: 
 * 
 * The ServerEngine implements the events that are triggered for each type of
 * message that has been defined in the message definition file. In each case
 * there is a generated Message object. This object has tables and sub-tables 
 * with properties that you can access to obtain the data that has been parsed 
 * out of each message.
 * 
 * It must be emphasized that this will be a mirror of the 'table grammar'
 * for each message - i.e. the user defined definitions of each table and 
 * the fields in those tables as defined in the Chameleon GUI.
 */
public class ServerEngine extends PrefixTestEngine {
    public ServerEngine() throws ChameleonException	{
        super();
    }

    // Begin on message events (comment used as an anchor for STJ)
    public void onADT_A04Message(ADT_A04Message Message, Transport ATransport) throws ChameleonException {
        println("Parsed ADT_A04 message.");
        println("SetIDPid: " + Message.PatientInfo(0).SetIDPid());
        println("PatientNameFamilyNameSurnamerepeatsonlyfirstinstancemapped: " + Message.PatientInfo(0).PatientNameFamilyNameSurnamerepeatsonlyfirstinstancemapped());
        println("PatientNameGivenNamerepeatsonlyfirstinstancemapped: " + Message.PatientInfo(0).PatientNameGivenNamerepeatsonlyfirstinstancemapped());
        println("DatetimeOfBirthTime: " + Message.PatientInfo(0).DatetimeOfBirthTime());
        println("AdministrativeSex: " + Message.PatientInfo(0).AdministrativeSex());
    }
    // End on message events (comment used as an anchor for STJ)

}
